Page MenuHomePhabricator

Raise default logging level of prometheus-hhvm-exporter
Closed, ResolvedPublic

Description

ATM INFO results in spam to syslog from requests, e.g.

Feb 16 06:25:41 mw2248 prometheus-hhvm-exporter[64357]: INFO:urllib3.connectionpool:Starting new HTTP connection (1): localhost
Feb 16 06:25:41 mw2248 prometheus-hhvm-exporter[64357]: INFO:urllib3.connectionpool:Starting new HTTP connection (1): localhost
Feb 16 06:25:50 mw2248 prometheus-hhvm-exporter[64357]: INFO:urllib3.connectionpool:Starting new HTTP connection (1): localhost
Feb 16 06:25:50 mw2248 prometheus-hhvm-exporter[64357]: INFO:urllib3.connectionpool:Starting new HTTP connection (1): localhost
Feb 16 06:25:50 mw2248 prometheus-hhvm-exporter[64357]: INFO:urllib3.connectionpool:Starting new HTTP connection (1): localhost
Feb 16 06:26:41 mw2248 prometheus-hhvm-exporter[64357]: INFO:urllib3.connectionpool:Starting new HTTP connection (1): localhost

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2017, 9:08 AM
fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.May 24 2017, 1:14 PM

Mentioned in SAL (#wikimedia-operations) [2017-05-24T13:14:46Z] <godog> upload prometheus-hhvm-exporter 0.3-1 to jessie-wikimedia - T158286

Mentioned in SAL (#wikimedia-operations) [2017-05-29T14:24:02Z] <godog> upgrade prometheus-hhvm-exporter to 0.3-1 in codfw/eqiad with less verbose logging - T158286

fgiunchedi closed this task as Resolved.May 29 2017, 2:41 PM

All done, no more (sys)log spam from prometheus-hhvm-exporter